//------------------------------------------------------------------------------
// OPN2001 simulation app for OPN2004 & OPN2005
//
// Debug.h
//
// Author:  Nathan Baars
// Company: Opticon Sensors Europe BV
//------------------------------------------------------------------------------

#ifndef DEBUG_H_
#define DEBUG_H_

#include <stdio.h>

#ifdef DEBUG
extern char debugBuffer[];
extern void PutString2(int port, char *str);

#define DEBUG_COMPORT COM2

#define DEBUGPUTSTRING(...) sprintf(debugBuffer,__VA_ARGS__); PutString2(DEBUG_COMPORT,debugBuffer)
#else
#define DEBUGPUTSTRING(...)
#endif

#endif /* DEBUG_H_ */
